Package org.apache.batchee.jaxb

## Class ExceptionClassFilter

- java.lang.Object
- - org.apache.batchee.jaxb.ExceptionClassFilter

-     public class ExceptionClassFilter
      extends Object

  Java class for ExceptionClassFilter complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ExceptionClassFilter">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="include" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                       </sequence>
                       <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="exclude" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                       </sequence>
                       <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExceptionClassFilter.Exclude` | Java class for anonymous complex type.
    `static class` | `ExceptionClassFilter.Include` | Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<ExceptionClassFilter.Exclude>` | `excludeList` |
    `protected List<ExceptionClassFilter.Include>` | `includeList` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionClassFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ExceptionClassFilter.Exclude>` | `getExcludeList()` | Gets the value of the excludeList property.
    `List<ExceptionClassFilter.Include>` | `getIncludeList()` | Gets the value of the includeList property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### includeList

          protected List<ExceptionClassFilter.Include> includeList

    - #### excludeList

          protected List<ExceptionClassFilter.Exclude> excludeList

  - ### Constructor Detail

    - #### ExceptionClassFilter

          public ExceptionClassFilter()

  - ### Method Detail

    - #### getIncludeList

          public List<ExceptionClassFilter.Include> getIncludeList()

      Gets the value of the includeList property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the includeList property.

      For example, to add a new item, do as follows:

              getIncludeList().add(newItem);

      Objects of the following type(s) are allowed in the list `ExceptionClassFilter.Include`

    - #### getExcludeList

          public List<ExceptionClassFilter.Exclude> getExcludeList()

      Gets the value of the excludeList property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the excludeList property.

      For example, to add a new item, do as follows:

              getExcludeList().add(newItem);

      Objects of the following type(s) are allowed in the list `ExceptionClassFilter.Exclude`